= form_for @application_setting, url: admin_application_settings_path(anchor: 'js-account-settings'), html: { class: 'fieldset-form' } do |f|
  = form_errors(@application_setting)

  %fieldset
    .form-group
      .form-check
        = f.check_box :gravatar_enabled, class: 'form-check-input'
        = f.label :gravatar_enabled, class: 'form-check-label' do
          Gravatar enabled
    .form-group
      = f.label :default_projects_limit, class: 'label-bold'
      = f.number_field :default_projects_limit, class: 'form-control'
    .form-group
      = f.label :max_attachment_size, 'Maximum attachment size (MB)', class: 'label-bold'
      = f.number_field :max_attachment_size, class: 'form-control'

    = render 'repository_size_limit_setting', form: f

    .form-group
      = f.label :receive_max_input_size, 'Maximum push size (MB)', class: 'label-light'
      = f.number_field :receive_max_input_size, class: 'form-control qa-receive-max-input-size-field'
    .form-group
      = f.label :session_expire_delay, 'Session duration (minutes)', class: 'label-light'
      = f.number_field :session_expire_delay, class: 'form-control'
      %span.form-text.text-muted#session_expire_delay_help_block GitLab restart is required to apply changes
    .form-group
      = f.label :user_oauth_applications, 'User OAuth applications', class: 'label-bold'
      .form-check
        = f.check_box :user_oauth_applications, class: 'form-check-input'
        = f.label :user_oauth_applications, class: 'form-check-label' do
          Allow users to register any application to use GitLab as an OAuth provider
    .form-group
      = f.label :user_default_external, 'New users set to external', class: 'label-bold'
      .form-check
        = f.check_box :user_default_external, class: 'form-check-input'
        = f.label :user_default_external, class: 'form-check-label' do
          Newly registered users will by default be external
      .prepend-top-10
        = _('Internal users')
      = f.text_field :user_default_internal_regex, placeholder: _('Regex pattern'), class: 'form-control prepend-top-5'
      .help-block
        = _('Specify an e-mail address regex pattern to identify default internal users.')
        = link_to _('More information'), help_page_path('user/permissions', anchor: 'external-users-permissions'),
          target: '_blank'
    .form-group
      = f.label :user_show_add_ssh_key_message, 'Prompt users to upload SSH keys', class: 'label-bold'
      .form-check
        = f.check_box :user_show_add_ssh_key_message, class: 'form-check-input'
        = f.label :user_show_add_ssh_key_message, class: 'form-check-label' do
          Inform users without uploaded SSH keys that they can't push over SSH until one is added

    - if ::Gitlab.dev_env_or_com?
      .form-group
        = f.label :check_namespace_plan, 'Check feature availability on namespace plan', class: 'label-bold'
        .form-check
          = f.check_box :check_namespace_plan, class: 'form-check-input'
          = f.label :check_namespace_plan, class: 'form-check-label' do
            Enabling this will only make licensed EE features available to projects if the project namespace's plan
            includes the feature or if the project is public.

  = f.submit 'Save changes', class: 'btn btn-success qa-save-changes-button'
